aboutsummaryrefslogtreecommitdiffstats
path: root/main/chrony/APKBUILD
diff options
context:
space:
mode:
authorŁukasz Jendrysik <scadu@yandex.com>2016-03-20 12:09:17 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2016-03-20 15:25:39 +0100
commite04c0e6c5946f16006658a17c25751a4ef229c26 (patch)
tree62040ecfc68feddd8a3611b1fb928f4b1d300284 /main/chrony/APKBUILD
parent3140b59a92bae7d011040a07ab4dfa3ed56e1409 (diff)
downloadaports-e04c0e6c5946f16006658a17c25751a4ef229c26.tar.gz
aports-e04c0e6c5946f16006658a17c25751a4ef229c26.tar.bz2
aports-e04c0e6c5946f16006658a17c25751a4ef229c26.tar.xz
main/chrony: upgrade to 2.3
Diffstat (limited to 'main/chrony/APKBUILD')
-rw-r--r--main/chrony/APKBUILD24
1 files changed, 9 insertions, 15 deletions
diff --git a/main/chrony/APKBUILD b/main/chrony/APKBUILD
index 9d20f6c3b0..9a2f84e356 100644
--- a/main/chrony/APKBUILD
+++ b/main/chrony/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Łukasz Jendrysik
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=chrony
-pkgver=2.2.1
-pkgrel=1
+pkgver=2.3
+pkgrel=0
_ver=${pkgver/_/-}
pkgdesc="NTP client and server programs"
url="http://chrony.tuxfamily.org/"
@@ -32,19 +33,13 @@ prepare() {
mkdir -p pps-tools/sys
cp "$srcdir"/timepps.h "$_builddir"/pps-tools/sys/
- local i=
- for i in $source; do
- case $i in
- *.diff|*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1
- esac
- done
+ # apply patches (if any)
+ default_prepare || return 1
}
-
build() {
cd "$_builddir"
- CPPFLAGS="$CPPFLAGS -I./pps-tools/" \
- ./configure \
+ CPPFLAGS="$CPPFLAGS -I./pps-tools/" ./configure \
--prefix=/usr \
--infodir=/usr/share/info \
--mandir=/usr/share/man \
@@ -53,7 +48,6 @@ build() {
--with-user=$pkgname \
--with-sendmail=/usr/sbin/sendmail \
|| return 1
-
make all docs || return 1
}
@@ -82,21 +76,21 @@ package() {
touch "$pkgdir"/var/lib/chrony/chrony.drift
}
-md5sums="ce46990540aab3670d093311ee43fe17 chrony-2.2.1.tar.gz
+md5sums="db6d46afea66f75dcc362f44623c1af4 chrony-2.3.tar.gz
a756428186bb27884d157a9f2c9732c6 max_resolve_interval.patch
d62521b4c8837e15262c47ac88359307 chronyd.confd
93642fa5d3eed62c15a183f72023ec6f chronyd.initd
455da71ae961667dc7823300f3cf8ab4 chrony.logrotate
15fd3724c7e171c3e75a29d217e707b2 chrony.conf
28f6835098a216f4a620f9218d15b5b8 timepps.h"
-sha256sums="4776fa8e80d698723e9a88eb882170951f6c45860545d84ae9f9d8b9bbd73796 chrony-2.2.1.tar.gz
+sha256sums="58bffb523012fb0fa87cc0d94d6e36de9689fe9556519cbd0d1ba254af92ccb2 chrony-2.3.tar.gz
61528337a48ac82f0c393547b78a972c57fb3727ff75407c4335c9b014eb8db5 max_resolve_interval.patch
29040502f86c419dbfbc7e2627cc658a8df82b37da21b3d1fce2eed9136d8f99 chronyd.confd
a621ef2c5694c635e982de525357dff518562a3400378948e216a43dcf00ace6 chronyd.initd
4c4f95b03f7e2e240ad26943da44591b300862e328c97ef5690f5a9a66c97650 chrony.logrotate
d50a474d654ff4a1b742e712bbfc2d9e6c75e04b28ec9b86ee2054bdaf830fc0 chrony.conf
ab4f459ee9d1037d7fa962a66ea652b08935539a4f443dc216e82b5717d8bb22 timepps.h"
-sha512sums="caa18a22e7e64186f24f474e02862296bfa74c99671bc98e926caf27b88ce3580282543594602e76ad4be9b7f9623350888def893a7c1d96a7370d13a636442f chrony-2.2.1.tar.gz
+sha512sums="2a9cda6c2bc931438b798bd037614196bdb1533d12432467a690d57095c74013c80c92fcaadbd43fd5b0c816872822527a1ade3014add458d669d7813d5fa080 chrony-2.3.tar.gz
19faf017e4502947a9b549b8165bf31bf11b814f2bf7b013a1ac11460afa654287d58de341cfa1f10b6a34334ed7d1d34e58b350c3c68bf6336530712d4db13c max_resolve_interval.patch
6919c7bddce2a8f81c0f2759c7c58506e97f89102bfeb7b5c19c6da5ed4cbd9070faddd4f3fb411bb4c653fffbdcc93a7f7dc810f38b199f038b1d4072f57640 chronyd.confd
9a18c9744d7b78d9b9be3f0ae0b43cb988b294c342764802e0d5df835d450e748584c0b345f7161f14d84e15c8bbd491514ee9dc45e4a65f1276c52124d2e312 chronyd.initd